function [err,msg]=AddDatasTasks(DatasTasksFilesNames,..//Имена файлов данных задач
                                 projectName,..//Имя проекта
                                 DatasTasksFilesNamesSourceDir,..//Текущие директории файлов данных задач
                                 errPrintMsg..//Необходимость печати сообщений об ошибках
                                 )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function AddDatasTasks takes 1, 2, 3 or 4 arguments');
    case 1 then
        DatasTasksFilesNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
        DatasTasksFilesNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
    case 3 then
        if type(DatasTasksFilesNamesSourceDir) == 4 then
            errPrintMsg = DatasTasksFilesNamesSourceDir;//Необходимость печати сообщений об ошибках
            DatasTasksFilesNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    nDatasTasksFiles = size(DatasTasksFilesNames,'*');//Число задач
    if size(DatasTasksFilesNamesSourceDir,'*') == 1 then
        DatasTasksFilesNamesSourceDir = repmat(DatasTasksFilesNamesSourceDir,[1,nDatasTasksFiles]);
    end
    
    //Формируем полные имена директорий
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(1, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullDatasTasksFilesNamesSource = [];//Полные имена файлов задач
    for ind=1:nDatasTasksFiles
        fullDataTaskFileNameSource = fullfile(DatasTasksFilesNamesSourceDir(ind),DatasTasksFilesNames(ind));//Полное имя файлов задач
        fullDatasTasksFilesNamesSource = [fullDatasTasksFilesNamesSource,fullDataTaskFileNameSource];//Полные имена файлов задач
    end
    fullDatasTasksFilesNameDir = fullfile(tasksSCEFilesPath,projectName);//Полное имя файлов задач
    
    //Копируем файлы в директорию проекта
    for fullDataTaskFileNameSource=matrix(fullDatasTasksFilesNamesSource, 1, -1)
        [err,msg] = copyfile(fullDataTaskFileNameSource,fullDatasTasksFilesNameDir);
        if err == 0 then
            err = -4;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    err = 0;
endfunction
