function [err,msg]=AddTasks(tasksNames,..//Имена задач
                            projectName,..//Имя проекта
                            tasksNamesSourceDir,..//Текущие директории задач
                            errPrintMsg..//Необходимость печати сообщений об ошибках
                            )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function AddTasks takes 1, 2, 3 or 4 arguments');
    case 1 then
        tasksNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
        tasksNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
    case 3 then
        if type(tasksNamesSourceDir) == 4 then
            errPrintMsg = tasksNamesSourceDir;//Необходимость печати сообщений об ошибках
            tasksNamesSourceDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Добавляем файл
    [err,msg]=AddTasksGen(tasksNames,..//Имена задач
                          projectName,..//Имя проекта
                          tasksNamesSourceDir,..//Текущие директории задач
                          "",..//Тип добавления
                          errPrintMsg..//Необходимость печати сообщений об ошибках
                          );
endfunction
