//Создание задачи диспетчерского вызова прочих задач
function [TasksFilesNames,..//Имена сгенерированных файлов задач
          err,msg]=CreateTasksByAddingCodeStrings(ArgumentsFilesNames,..//Полные имена файлов аргументов
                                                  TasksDirectory,..//Полное имя директории файлов сгенерированных задач
                                                  AddingCodeStrings,..//Добавляемые строки кода
                                                  errPrintMsg..//Печатаем или нет сообщения об ошибках
                                                  )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 3 then
        error('The function CreateTasksByAddingCodeStrings takes 3 or 4 arguments');
    elseif nArg == 3 then
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    end
    
    //Формируем директорию задач
    [err,msg] = mkdir(TasksDirectory);//Создаем директорию для задач
    if err == 0 then
        err = 1;
        if errPrintMsg then
            error(msg);
        end
        return;
    else
        err = 0;
    end
    
    //Формируем файлы задач
    TasksFilesNames = basename(ArgumentsFilesNames) + '.sce';//Имена файлов задач (файлы задач делаем из файлов аргументов)
    fullTasksFilesNames = fullfile(TasksDirectory,TasksFilesNames);//Полные имена файлов задач
    for ind=1:size(ArgumentsFilesNames,'*')
        strsCode = mgetl(ArgumentsFilesNames(ind));//Получаем строки кода
        if type(AddingCodeStrings) == 17 then
            addingCodeStrings = AddingCodeStrings{ind};
        else
            addingCodeStrings = AddingCodeStrings;
        end
        strsCode = [strsCode;..
                    "";..
                    addingCodeStrings;..
                    ""];
        if ~mputl(strsCode,fullTasksFilesNames(ind)) then
            err = 1;
            msg = 'Cannot creating ' + TasksFilesNames(ind) + ' file';
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    
    //Выводим положительный результат
    err = 0;
    msg = '';
endfunction
