//Создание задачи диспетчерского вызова прочих задач
function [err,msg]=CreateTasksByAddingCodeStringsWithAddToProject(ArgumentsFilesNames,..//Полные имена файлов аргументов
                                                                  TasksDirectory,..//Полное имя директории файлов сгенерированных задач
                                                                  AddingCodeStrings,..//Добавляемые строки кода
                                                                  projectName,..//Имя проекта
                                                                  strProjectName,..//Написание в коде переменной имени проекта
                                                                  eraseTasksDirectory,..//Необходимость удаления директории задач
                                                                  errPrintMsg..//Печатаем или нет сообщения об ошибках
                                                                  )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 3 then
        error('The function CreateTasksByAddingCodeStringsWithAddToProject takes 3, 4, 5 or 6 arguments');
    end
    select nArg
    case 3 then
        projectName = '';
        strProjectName = 'ProjectName';//Написание переменной по умолчанию
        eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 4 then
        if type(projectName) == 4 then
            eraseTasksDirectory = projectName;
            projectName = '';
        else
            eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
        end
        strProjectName = 'ProjectName';//Написание переменной по умолчанию
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 5 then
        if type(projectName) == 4 then
            eraseTasksDirectory = projectName;
            errPrintMsg = strProjectName;
            projectName = '';
            strProjectName = 'ProjectName';//Написание переменной по умолчанию
        else
            if type(strProjectName) == 4 then
                errPrintMsg = eraseTasksDirectory;//По умолчанию печатаем сообщения об ошибках
                eraseTasksDirectory = strProjectName;
                strProjectName = 'ProjectName';//Написание переменной по умолчанию
            else
                eraseTasksDirectory = %f;//По умолчанию папку с задачами не удаляем
                errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
            end
        end
    case 6 then
        if type(strProjectName) == 4 then
            errPrintMsg = eraseTasksDirectory;//По умолчанию печатаем сообщения об ошибках
            eraseTasksDirectory = strProjectName;
            strProjectName = 'ProjectName';//Написание переменной по умолчанию
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Формируем строки вызова задач
    addingCodeStrings = ["";..
                         "//Имя проекта";..
                         strProjectName + " = """ + projectName + """;";..
                         ""];
    if type(AddingCodeStrings) == 17 then
        for ind=1:size(AddingCodeStrings,'*')
            AddingCodeStrings{ind} = [addingCodeStrings;..
                                      AddingCodeStrings{ind};..
                                      ""];
        end
    else
        AddingCodeStrings = [addingCodeStrings;..
                             AddingCodeStrings;..
                             ""];
    end
    
    //Формулируем задачи
    [TasksFilesNames,..//Имена сгенерированных файлов задач
     err,msg]=CreateTasksByAddingCodeStrings(ArgumentsFilesNames,..
                                             TasksDirectory,..
                                             AddingCodeStrings,..//Добавляемые строки
                                             errPrintMsg);
    if err ~= 0 then
        return;
    end
    
    //Добавляем задачи в проект
    [err,msg] = AddTasks(TasksFilesNames,projectName,..
                         TasksDirectory,errPrintMsg);
    if err ~= 0 then
        return;
    end
    
    //Удаляем при необходимости директорию задач
    if eraseTasksDirectory then
        [err,msg] = rmdir(TasksDirectory,'s');
        if err == 0 then
            err = 1;
            if errPrintMsg then
                error(msg);
            end
            return;
        else
            err = 0;//Ошибки нет
        end
    end
endfunction
