function [enabledTasks,..//Доступне задачи
          err,msg]=GetEnabledTasks(ProjectName,..//Имя проекта
                                   errPrintMsg..//Необходимость печати сообщений об ошибках
                                   )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 1 then
        if type(ProjectName) == 4 then
            errPrintMsg = ProjectName;
            ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Формируем полное имя файла группы задач
    [fullTasksGroupNameFileName,..
     err,msg] = GetFullServiceDataFileName(GetTasksGroupName() + '.csv',..
                                           ProjectName,errPrintMsg);
    if (err ~= 0) && (~errPrintMsg) then
        return;
    end
    
    //Считываем задачи из файла группы
    try
        TasksNames = csvRead(fullTasksGroupNameFileName,',','.','string');
    catch
        err = 1;
        msg = lasterror();
        if errPrintMsg then
            error(msg);
        else
            return;
        end
    end
    
    //Считываем для каждой задачи из файлов зависимостей и разрешимостей разрешимости
    enabledTasks = [];//Доступне задачи
    for TaskName=TasksNames
        //Формируем полное имя файла задачи
        fullTaskNameFile = GetFullServiceDataFileName('d_' + TaskName + '.csv',..
                                                      ProjectName,errPrintMsg);
        
        //Считываем содержимое файла задач
        try
            csvTaskDependence = csvRead(fullTaskNameFile,',','.','string');
        catch
            err = 1;
            msg = lasterror();
            if errPrintMsg then
                error(msg);
            else
                return;
            end
        end
        
        //Берем из последнего столбца разрешимость
        enableTask = csvTaskDependence(2,$);
        
        //Добавляем в случае разрешимости текущую задачу в разрешенные задачи
        if enableTask == '1' then
            enabledTasks = [enabledTasks,TaskName];//Доступне задачи
        end
    end
endfunction
