function [err,msg]=ReceiveDatasTasks(DatasTasksFilesNames,..//Имена файлов данных задач
                                     projectName,..//Имя проекта
                                     DatasTasksFilesNamesDir,..//Директории, в которые копируем файлы данных задач
                                     createDir,..//Создаем при необходимости директорию, в которую копируем файлы
                                     errPrintMsg..//Необходимость печати сообщений об ошибках
                                     )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function ReceiveDatasTasks takes 1, 2, 3, 4 or 5 arguments');
    case 1 then
        DatasTasksFilesNamesDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        createDir = %t;//Создаем директорию, в которую копируем файлы
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            createDir = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            createDir = %t;//Создаем директорию, в которую копируем файлы
        end
        DatasTasksFilesNamesDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 3 then
        if type(projectName) == 4 then
            createDir = projectName;//Необходимость печати сообщений об ошибках
            errPrintMsg = DatasTasksFilesNamesDir;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
            DatasTasksFilesNamesDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
        else
            if type(DatasTasksFilesNamesDir) == 4 then
                createDir = DatasTasksFilesNamesDir;//Необходимость печати сообщений об ошибках
                DatasTasksFilesNamesDir = pwd();//Текущие директории задач берем равной текущей директории Scilab
            else
                createDir = %t;//Создаем директорию, в которую копируем файлы
            end
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    case 4 then
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    end
    nDatasTasksFiles = size(DatasTasksFilesNames,'*');//Число задач
    if size(DatasTasksFilesNamesDir,'*') == 1 then
        DatasTasksFilesNamesDir = repmat(DatasTasksFilesNamesDir,[1,nDatasTasksFiles]);
    end
    
    //Создаем при необходимости директории, в которые скопируем файлы, и копируем в них файлы
    for ind=1:nDatasTasksFiles
        //Получаем полное имя файла данных
        [fullDataTaskFileName,..//Полное имя файла данных
         err,msg]=GetFullDataFileName(DatasTasksFilesNames(ind),..//Имя файла данных
                                      projectName,..//Имя проекта
                                      errPrintMsg..//Необходимость печати сообщений об ошибках
                                      );
        if err ~= 0 then
            return;
        end
        
        //Создаем при необходимости директорию
        if createDir then
            [err,msg] = mkdir(DatasTasksFilesNamesDir(ind));
            if err == 0 then
                err = -4;
                if errPrintMsg then
                    error(msg);
                end
                return;
            end
        end
        
        //Копируем файл в директорию
        [err,msg] = copyfile(fullDataTaskFileName,DatasTasksFilesNamesDir(ind));
        if err == 0 then
            err = -3;
            if errPrintMsg then
                error(msg);
            end
            return;
        end
    end
    err = 0;
endfunction
