function [err,msg]=RemoveProjects(projectsNames,..//Имена проектов
                                  errPrintMsg..//Необходимость печати сообщений об ошибках
                                  )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
       error('The function AddProject takes 1 or 2 arguments');
    case 1 then
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    end
    
    //Формируем полные имена директорий
    [tasksSCEFilesPath,..//Путь к xml-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(errPrintMsg);
    if err ~= 0 then
        return;
    end
    datasTasksSCEFilesPath = tasksSCEFilesPath(2);//Директория к данным задач
    functionsTasksSCEFilesPath = tasksSCEFilesPath(3);//Директория к функциям задач
    tasksSCEFilesPath = tasksSCEFilesPath(1);//Директория к файлам задач
    for projectName=projectsNames
        fullDatasTasksSCEFilesPath = fullfile(datasTasksSCEFilesPath,projectName);
        fullFunctionsTasksSCEFilesPath = fullfile(functionsTasksSCEFilesPath,projectName);
        fullTasksSCEFilesPath = fullfile(tasksSCEFilesPath,projectName);
        
        //Удаляем директории
        [err,msg] = rmdir(fullTasksSCEFilesPath, 's');//Удаляем директорию в директории задач
        if err == 0 then
            if errPrintMsg then
                disp(projectName + ' ERROR' + ': ' + msg);
            end
        end
        [err,msg] = rmdir(fullDatasTasksSCEFilesPath, 's');//Удаляем директорию в директории данных
        if err == 0 then
            if errPrintMsg then
                disp(projectName + ' ERROR' + ': ' + msg);
            end
        end
        [err,msg] = rmdir(fullFunctionsTasksSCEFilesPath, 's');//Удаляем директорию в директории функций
        if err == 0 then
            if errPrintMsg then
                disp(projectName + ' ERROR' + ': ' + msg);
            end
        end
    end
    err = 0;
endfunction
